package cn.com.qmth.stmms.biz.mark.service;

import java.util.List;

import cn.com.qmth.stmms.biz.mark.model.TagInfo;
import cn.com.qmth.stmms.common.enums.TagType;

public interface TagInfoService {

    List<TagInfo> findByLibraryId(Integer libraryId);

    TagInfo findByStudentIdAndType(Integer studentId, TagType type);

    void deleteByLibraryId(Integer libraryId);

    TagInfo save(TagInfo tagInfo);

    void deleteByStudentId(Integer studentId);

    void deleteByExamId(int examId);

    void deleteByExamAndSubject(Integer examId, String subjectCode);

    void deleteByMarkerId(Integer markerId);

}
